Skip to main content
Weavr Multi Product API
Consumers

Update a consumer

PATCH/consumers

Update the details of the logged-in consumer identity.

If the Consumer root user has already completed KYC, the following details cannot be updated:

  • name
  • surname
  • email
  • mobile Country Code
  • mobile Number
  • date of Birth
  • address

Request

Request body

*
application/json
{}
objectobject · 18 fields

Responses

200OK

Success

Headers
Body
application/json
{}
ConsumerConsumer · object · 11 fields
Response example
{  "id": {    "type": "CONSUMER",    "id": "string"  },  "profileId": "string",  "tag": "string",  "rootUser": {    "id": {      "type": "CONSUMER",      "id": "string"    },    "name": "string",    "surname": "string",    "email": "string",    "mobile": {      "countryCode": "string",      "number": "string"    },    "occupation": "ACCOUNTING",    "active": true,    "emailVerified": true,    "mobileNumberVerified": true,    "dateOfBirth": {      "year": 0,      "month": 0,      "day": 0    },    "address": {      "addressLine1": "string",      "addressLine2": "string",      "city": "string",      "postCode": "string",      "state": "string",      "country": "string"    },    "nationality": "string",    "placeOfBirth": "string",    "tag": "string",    "locale": "en-GB",    "brand": "string"  },  "creationTimestamp": 0,  "ipAddress": "string",  "acceptedTerms": true,  "baseCurrency": "string",  "feeGroup": "string",  "sourceOfFunds": "PERSONAL_SAVINGS",  "sourceOfFundsOther": "string"}